IMFI Bugs - Bug #2462

[ESS-CUTI] karyawan mengajukan di tanggal 2 januari 2024 tetapi ada validasi error tidak boleh
mengajukan cuti

12/27/2023 11:18 AM - Muhammad Bintar

Status: Closed Start date: 12/27/2023
Priority: Normal Due date: 12/29/2023
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

dear tim developer mohon support nya untuk perbaikan pada validasi dimana pada saat mengajukan tanggal 02 januari itu terjadi
validasi tidak diperkenankan menggunakan tanggal tersebut untuk cuti, seharus nya boleh dan bisa mengajukan cuti.

absence type nya annual cuti <5tahun
contoh employee 20230005

c A Notsecure  remote.minovais.com:7007

INDOMOBIL [ Human Resource Management System —
W = Employee Self Service Welcome Minovais

lenu Home Request
(=] Organization Structure Leave
Workflow Configuration
[=] Development Workbench Header

[=] Business Proccess Viewer

=] Change Password Requester ID: 20230005 Employee ID; 20230005
My Workplace Requester Name: | AHMAD ASTAMAR Employee Mame:  AHMAD ASTAMAR . On Behalf
[=] Archive Subject: ddf
=] Draft
=1 Inb Description: sdf
=] nbax Error o
=] Outbox
=] Request @ Anda belum diperkenankan untuk melakukan pengajuan cuti
My Report

! | Leave
OK
Main
Absence Type: Annuzl Leave (<5 Tahu| ¥ Current Quota
- Leave Quota: ]
End Date: B

Remaining Quota: |0
Total Quota Taken:
Quota 0 Quota taken:
Reason For Leave:
edson For Lesve Total Remaining [
Quota;

Action: ~ | [ submit | €) Cancel

tabel nya dev_object
controller nya controller.wf.leave.leave
History

#1 - 12/27/2023 11:37 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

ini sudah d generate belum calendar 2024 nya?

#2 - 12/27/2023 04:32 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

07/02/2025 12



dear masbin , udah bisa di test ya
package :

dev_object
cust_param (ValidasiLeaveSetahun)

makasih

#3 - 12/27/2023 07:16 PM - Muhammad Bintar
- File deploy dev_object ess cuti.txt added

update query tabel dev_object

#4 - 12/27/2023 07:16 PM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

Files
clipboard-202312271115-trxij.png 192 KB 12/27/2023 Muhammad Bintar
deploy dev_object ess cuti.txt 68.9 KB 12/27/2023 Muhammad Bintar
